<template>
    <div class="sidebar-page-container">
        <div class="auto-container">
            <div class="row clearfix">
                
                <!--Content Side-->
                <div class="content-side col-lg-8 col-md-8 col-sm-12 col-xs-12">
                    <!--Blog-->
                    <section class="blog-classic">
                        
                        
                        <!--News Style Four-->
                        <div class="news-style-four" v-for="blog in dataSet">
                            <div class="inner-box">
                                <!--Image Column-->
                                <div class="image">
                                    <a href="blog-single.html"><img :src="getImage('/images/resource/news-11.jpg')" alt=""></a>
                                </div>
                                <!--Content Column-->
                                <div class="content-column">
                                    <div class="inner">
                                        <div class="post-date">{{blog.updated_at}}</div>
                                        <h3><a :href="getLink(blog)">{{blog.title}}</a></h3>
                                        <ul class="post-meta">
                                            <li>by <span>{{blog.author_name}}</span></li>
                                            <li><a href="blog-single.html"><span class="icon fa fa-commenting-o"></span> 7 Comments</a></li>    
                                            <li><a href="blog-single.html"><span class="icon fa fa-eye"></span>18 Views</a></li>
                                        </ul>
                                        <div class="text">{{blog.summary}}</div>
                                        <a class="read-more" :href="getLink(blog)">Read More <span class="icon fa fa-angle-right"></span></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        
                        
                    </section>
                    
                    <!-- Styled Pagination -->
                        <pagination
                            :current_page="currentPage"
                            :row_count_page="rowCountPage"
                             @page-update="pageUpdate"
                             :total_users="totalData"
                             :page_range="pageRange"
                             >
                        </pagination>
                   
                </div>
                
                <!--Sidebar-->
                <div class="sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">
                    <aside class="sidebar">
                        
                        <!--Services Category Widget-->
                        <div class="sidebar-widget category-widget">
                            <div class="sidebar-title">
                                <h3>Categories</h3>
                            </div>
                            <ul>
                                <li><a href="#">Child Care <span>(15)</span></a></li>
                                <li><a href="#">Education <span>(20)</span></a></li>
                                <li><a href="#">Sports <span>(10)</span></a></li>
                                <li><a href="#">Development <span>(30)</span></a></li>
                            </ul>
                        </div>
                        
                        <!--Services Post Widget-->
                        <div class="sidebar-widget popular-posts">
                            <div class="sidebar-title">
                                <h3>Latest Post</h3>
                            </div>
                            <!--Post-->
                            <article class="post">
                                <figure class="post-thumb img-circle"><a href="#"><img src="/images/resource/post-thumb-1.jpg" alt=""></a></figure>
                                <div class="text"><a href="#">Activities Improves Mind</a></div>
                                <div class="post-info">Posted by Adam Rose</div>
                            </article>
                            <!--Post-->
                            <article class="post">
                                <figure class="post-thumb img-circle"><a href="#"><img src="/images/resource/post-thumb-2.jpg" alt=""></a></figure>
                                <div class="text"><a href="#">Make Learning Fun for Your Kids</a></div>
                                <div class="post-info">Posted by Adam Rose</div>
                            </article>
                            <!--Post-->
                            <article class="post">
                                <figure class="post-thumb img-circle"><a href="#"><img src="/images/resource/post-thumb-3.jpg" alt=""></a></figure>
                                <div class="text"><a href="#">What Do Kids Learn in Preschool?</a></div>
                                <div class="post-info">Posted by Adam Rose</div>
                            </article>
                        </div>
                        
                        <!--Services Gallery Widget-->
                        <div class="sidebar-widget gallery-posts">
                            <div class="sidebar-title">
                                <h3>Gallery</h3>
                            </div>
                            <div class="images-outer clearfix">
                                <!--Image Box-->
                                <figure class="image-box"><a href="/images/resource/classic-1.jpg" class="lightbox-image" title="Image Title Here" data-fancybox-group="footer-gallery"><img :src="getImage('/images/resource/gallery-thumb-1.jpg')" alt=""></a></figure>
                                <!--Image Box-->
                                <figure class="image-box"><a href="/images/resource/classic-2.jpg" class="lightbox-image" title="Image Title Here" data-fancybox-group="footer-gallery"><img :src="getImage('/images/resource/gallery-thumb-2.jpg')" alt=""></a></figure>
                                <!--Image Box-->
                                <figure class="image-box"><a href="/images/resource/classic-3.jpg" class="lightbox-image" title="Image Title Here" data-fancybox-group="footer-gallery"><img :src="getImage('/images/resource/gallery-thumb-3.jpg')" alt=""></a></figure>
                                <!--Image Box-->
                                <figure class="image-box"><a href="/images/resource/classic-4.jpg" class="lightbox-image" title="Image Title Here" data-fancybox-group="footer-gallery"><img :src="getImage('/images/resource/gallery-thumb-4.jpg')" alt=""></a></figure>
                                <!--Image Box-->
                                <figure class="image-box"><a href="/images/resource/classic-1.jpg" class="lightbox-image" title="Image Title Here" data-fancybox-group="footer-gallery"><img :src="getImage('/images/resource/gallery-thumb-5.jpg')" alt=""></a></figure>
                                <!--Image Box-->
                                <figure class="image-box"><a href="/images/resource/classic-2.jpg" class="lightbox-image" title="Image Title Here" data-fancybox-group="footer-gallery"><img :src="getImage('/images/resource/gallery-thumb-6.jpg')" alt=""></a></figure>
                            </div>
                        </div>
                        
                        <!--Services Tags Widget-->
                        <div class="sidebar-widget popular-tags">
                            <div class="sidebar-title">
                                <h3>Tags</h3>
                            </div>
                            <a href="#">Music</a>
                            <a href="#">Toys</a>
                            <a href="#">Sports</a>
                            <a href="#">Childwood</a>
                            <a href="#">Education</a>
                            <a href="#">Nutritions</a>
                            <a href="#">Link</a>
                        </div>
                        
                    </aside>
                </div>
                
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props:['datakrs'],  
    data() {
         return {
            url:'/frontend/assets',
            emptyResult: false,
            dataSet: [],
                    //pagination
            currentPage: 0,
            rowCountPage:4,
            totalData:0,
            pageRange:2
            
         }

    },
    created(){
        this.initial()
    },
    methods:{  
        initial(){
            this.getData()
        },
        getLink(blog){
            return `/blog/${blog.slug}`

        },
        getImage(link){
            return `${this.url}${link}`
        },
        getData() {
            let self = this
            axios.get('/blogs/all').then(function(response) {
               // self.dataSet = response.data
               self.getPaginate(response.data);
            })
        },
        searchUser(){
            var formData = this.formData(this.search);
              axios.post(this.url+"user/searchUser", formData).then(function(response){
                  if(response.data.users == null){
                      this.noResult()
                    }else{
                      this.getData(response.data.users);
                    
                    }  
            })
        },
        getPaginate(data){
            this.emptyResult = false; // become false if has a record
            this.totalData = data.length //get total of user
            this.dataSet = data.slice(this.currentPage * this.rowCountPage, (this.currentPage * this.rowCountPage) + this.rowCountPage); //slice the result for pagination
            
             // if the record is empty, go back a page
            if(this.dataSet.length == 0 && this.currentPage > 0){ 
                this.pageUpdate(this.currentPage - 1)
                this.clearAll();  
            }
        },
        noResult(){
          
            this.emptyResult = true;  // become true if the record is empty, print 'No Record Found'
            this.users = null 
            this.totalData = 0 //remove current page if is empty            
        },
        pageUpdate(pageNumber){
              this.currentPage = pageNumber; //receive currentPage number came from pagination template

              this.refresh()  
        },
        refresh(){
            this.getData(); //for preventing
        },
        clearAll(){

        }
    }
}
</script>
